Description

In DHCP-less or external-DHCP environments, image-based provisioning cannot be seeded for virtualized environments.

We need to have opt-in option to use DNS name instead IP address for SSH checks, that will solve the issue. This must be opt-in to

prevent mis-provisioning. Also users need to be aware that password or ssh key must be correct in order to connect, it's

recommended to change the default password on the image after system is provisioned to something different for production

systems.

Related issues:

Related to Foreman - Feature #18766: Acquire IP address from virtualization e... New 03/02/2017

Related to Foreman - Bug #9410: Finish script should try connect to hostname ... Rejected 02/17/2015

Related to Foreman - Feature #18769: add a DNS based IPAM New 03/02/2017

Associated revisions

Revision 8397b3c9 - 06/26/2018 10:39 AM - Lukas Zapletal

Fixes #18765 - finish script use FQDN when IP is missing

This is resurrect of

https://github.com/theforeman/foreman/pull/2171/files

The old patch did not pass review because I was unable to explain the

motivation. The reason for the fallback is that only cloud compute

resources usually provide IP addresses but virtualization do not. Our

users often associate finish templates with libvirt or VMWare but it

does not work at all. This only applies to externally managed networks

where we don't know the IP (no reservation made by Foreman).

Now there is a question of safety, with incorrect DNS setup, Foreman

could run finish script on incorrect server. Therefore I am sending this

patch for discussion - I think I could make this behavior an opt-it via

setting.

History

#1 - 03/02/2017 06:02 AM - Lukas Zapletal

- Related to Feature #18766: Acquire IP address from virtualization environments when possible added

#2 - 03/02/2017 06:11 AM - Dominic Cleal

- Related to Bug #9410: Finish script should try connect to hostname when IP address is empty added

#3 - 03/02/2017 06:24 AM - Timo Goebel

- Related to Feature #18769: add a DNS based IPAM added

#4 - 03/02/2017 06:58 AM - Lukas Zapletal

05/09/2024 1/2

https://github.com/theforeman/foreman/pull/2171/files


Damn, I don't know what you do Dominic, but I never find what is in RedMine... I was checking that and failed. I assume you do Ctrl+F on lists, crazy.

#5 - 03/13/2017 09:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/4370 added

#6 - 06/26/2018 11:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8397b3c93489ecf31d2b8cf88c50439709e29d50.

#7 - 07/02/2018 12:00 PM - Marek Hulán

- translation missing: en.field_release set to 353

- Triaged set to No
